Subject: Re: [PATCH v2 0/3] some unit-test Makefile polishing

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Feb 2024 17:20:18 -0800

Jeff King <[email-masked]> writes:

> On Sun, Jan 28, 2024 at 10:15:40PM -0500, Jeff King wrote:
>
>> The patches fixes two small hiccups I found with the unit-tests. Neither
>> is a show-stopper, but mostly just small quality-of-life fixes.
>
> And here's another iteration based on the feedback from v1. It uses the
> mkdir_p template mentioned by Gábor, fixes the $(X) issue mentioned by
> Patrick, and adds a new patch to handle the directory in "make clean".
>
> No range diff, as range-diff refuses to admit that the patches are
> related (presumably because even though the changes are small, the
> original patches were also tiny).
>
>   [1/3]: Makefile: use mkdir_p_parent_template for UNIT_TEST_BIN
>   [2/3]: Makefile: remove UNIT_TEST_BIN directory with "make clean"
>   [3/3]: t/Makefile: get UNIT_TESTS list from C sources

Merging this topic seems to stop all "win test (n)" jobs at GitHub
CI, which is puzzling (I would have understood a broken build, but
that is not what we are seeing).

https://github.com/git/git/actions/runs/7748054008 is a run of 'next'
that is broken.

https://github.com/git/git/actions/runs/7748547579 is a run of 'seen~1'
with this topic reverted (the ps/reftable-backend topic is excluded),
which seems to pass.

Does it ring a bell, anybody?

Thanks.